package ecoparasite.input;

/**
 * Gère une exception lorsque qu'un type de parsing n'existe pas ou bien
 * qu'une erreur est survenue durant le parsing d'une donnée.
 */
public class InvalidParsingException extends Exception {

    /**
     * L'ID du parsing voulant être réalisé.
     */
    private int parsingId;

    /**
     * De quel classe provient ce parsing.
     */
    private String parsingSource;

    /**
     * Constructeur.
     * @param parsingId ID du parsing
     * @param parsingSource La classe d'où provient ce parsing.
     */
    public InvalidParsingException(int parsingId, String parsingSource) {
        this.parsingId = parsingId;
        this.parsingSource = parsingSource;
        super();
    }

    public int getParsingId() {
        return parsingId;
    }
    public String getParsingSource() {
        return parsingSource;
    }

}
